function [zp,UpRS,UpR,UpS] = NonD_VeloProf(deltaplus,IBLplus,r_,DeltaUplus1,DeltaUplus2,Const,opt,Bparam)
% everything is normalised by the local Utau1
% subscript 1: outer layer
% subscript 2: internal layer

kappa = Const.kappa;
A = Const.A;
N = 2000; % number of points in each half of the profile

zp2 = logspace(log10(exp((DeltaUplus2-A)*kappa)/r_),log10(IBLplus),N);
zp1 = linspace(IBLplus,deltaplus,N+1);
zp = [zp2,zp1(2:end)];
eta = zp/deltaplus;

if opt.Wake == 1
    W_eta = funcWake(eta,Const);
else
    W_eta = 0;
end

UpR = (log(zp)/kappa+A-DeltaUplus1)+W_eta;
UpR(UpR<0|zp<0) = 0;


if opt.Compo
    UpS_ = ZPGTBL_Composite_inner(zp*r_); % composite profile
    UpS = (UpS_+W_eta)*r_;
    clear UpS_ 
else
    UpS = (log(zp*r_)/kappa+A-DeltaUplus2+W_eta)*r_;
end
UpS(UpS<0) = 0;
UpS(isnan(UpS)) = 0;
if opt.Wake == 1
    UpS(eta>1) = max(UpS);
    UpR(zp>deltaplus) = interp1(zp,UpR,deltaplus);
end

if opt.Blend
    mu = log((IBLplus-Bparam.DIBL)*r_)-Bparam.mu0;
    sigma = Bparam.sigma;
    gamma = (1-erf((log(zp*r_)-mu)/sqrt(2*sigma^2)))/2;
    gamma(zp>IBLplus) = 0;

    UpRS = gamma.*UpS+(1-gamma).*UpR;    
else
    UpRS = [UpS(1:N),UpR(N+1:end)];
end

