function Uplus=ZPGTBL_Composite_inner(Yplus)
%%%========================================================================
% kappa and C from Monkewitz et al. PoF 2007
kappa  = 0.384;
%%%========================================================================
% parameters of Musker's inner profile for kappa=0.384 and additive constant, B=4.17
a     = -10.306168834355726392;
alpha =  3.8510010838445298626;
beta  =  8.0341723503423481675;
R     =  8.9094407626279908155;
Const =  4.17;
% coefficients of term added for 'hump' (See Chauhan et al. FDR 2009)
N2 = 30;
N3 = 1/2.85;        
%%%========================================================================  
% full composite profile
Upexp=@(yp) 1/kappa*log((yp-a)/(-a))+R^2/a/(4*alpha-a)*((4*alpha+a)*log(-a/R*sqrt((yp-alpha).^2+beta^2)./(yp-a))+...
            alpha/beta*(4*alpha+5*a)*(atan((yp-alpha)/beta)+atan(alpha/beta)))+exp(-(log(yp/N2).^2))*N3;
        

Uplus = Upexp(Yplus);
% figure;
% semilogx(Yplus,Uplus,'.');