function res = fun1(r1,r2,deltaplus,IBLplus,NonVar)
% equation (4.3): velocity matching conditon at z = delta_i


% load parameters & constants
Condi = NonVar.Condi;
Const = NonVar.Const;
opt = NonVar.opt;

kappa = Const.kappa;
A = Const.A;
B = Const.B;

ks1plus = Condi.ks1plus;
ks2plus = Condi.ks2plus;

if opt.Wake
    eta1 = IBLplus/deltaplus;
    eta2 = IBLplus/deltaplus;
    W_eta1 = funcWake(eta1,Const);
    W_eta2 = funcWake(eta2,Const);
else
    W_eta1 = 0;
    W_eta2 = 0;
end

DeltaUplus1 = roughness_function(ks1plus*r1, kappa, A, B);

% (4.3)
if opt.Compo
    res = r2*(ZPGTBL_Composite_inner(IBLplus*r2)+W_eta2)-r1*(log((IBLplus)*r1)/kappa+A-DeltaUplus1+W_eta1);
else
    res = r2*(log(IBLplus*r2)/kappa+A-roughness_function(ks2plus*r2, kappa, A, B)+W_eta2)...
        -r1*(log((IBLplus)*r1)/kappa+A-DeltaUplus1+W_eta1);
end
